# Swarmpit

[![Build Status](https://drone.autonomic.zone/api/badges/coop-cloud/swarmpit/status.svg)](https://drone.autonomic.zone/coop-cloud/swarmpit)

[Swarmpit][swarmpit] Docker swarm dashboard, based on the ["Docker Swarm Rocks" compose file][swarm-rocks-swarmpit].

<!-- metadata -->
* **Category**: Utilities
* **Status**: 2, beta
* **Image**: [`swarmpit`](https://hub.docker.com/_/swarmpit), 4, upstream
* **Healthcheck**: Yes
* **Backups**: No
* **Email**: No
* **Tests**: 2
* **SSO**: N/A
<!-- endmetadata -->

1. Set up Docker Swarm and [`abra`][abra]
2. Deploy [`coop-cloud/traefik`][compose-traefik]
3. `cp .envrc.sample .envrc`
4. Edit `.envrc` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `direnv allow` (or `. .envrc`)
6. `abra deploy`
7. Log into the web interface to create an initial user

[swarmpit]: https://swarmpit.io/
[swarm-rocks-swarmpit]: https://dockerswarm.rocks/swarmpit/
[abra]: https://git.autonomic.zone/autonomic-cooperative/abra
[compose-traefik]: https://git.autonomic.zone/coop-cloud/traefik
